> ## Documentation Index
> Fetch the complete documentation index at: https://developer.worldly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# MSI Get Processes for Base Material

Each base material in the MSI has a global set of available processes that can be selected within each of the available process stages, or cycles.

This API endpoint will return all of the available processes for a given base material.

You can then set the processes for your material by referencing the process ID in the /create or /update APIs.


## OpenAPI

````yaml api-reference/openapi/msi-api.json GET /materials/process-by-material/{base_material_id}
openapi: 3.0.0
info:
  title: msi-api
  version: 1.0.0
servers:
  - url: https://api-v2.production.higg.org/msi-api/v1
    description: Production
  - url: https://api-v2.demo.higg.org/msi-api/v1
    description: Demo
security:
  - sec0: []
    sec1: []
paths:
  /materials/process-by-material/{base_material_id}:
    get:
      operationId: ListProcessByMaterial
      parameters:
        - in: path
          name: base_material_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key
    sec1:
      type: apiKey
      in: header
      name: x-developer-request-token

````